Skip to main content
GET
/
v1
/
users
/
{uid}
Retrieve a User
curl --request GET \
  --url https://api.siit.io/v1/users/{uid} \
  --header 'Authorization: Bearer <token>'
{
  "uid": "<string>",
  "archived_at": "2023-11-07T05:31:56Z",
  "birthday_date": "2023-12-25",
  "city": "<string>",
  "contract_type": "fulltime",
  "country": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "department": "<string>",
  "department_uid": "<string>",
  "emails": [
    "<string>"
  ],
  "employee_number": "<string>",
  "first_name": "<string>",
  "full_name": "<string>",
  "gender": "female",
  "hire_date": "2023-12-25",
  "job_leave_date": "2023-12-25",
  "job_start_date": "2023-12-25",
  "job_title": "<string>",
  "last_name": "<string>",
  "last_working_date": "2023-12-25",
  "legal_entity": "<string>",
  "legal_entity_uid": "<string>",
  "microsoft_entra_ids": [
    "<string>"
  ],
  "office_location": "<string>",
  "office_location_uid": "<string>",
  "preferred_language": "<string>",
  "probation_end_date": "2023-12-25",
  "report_to": "<string>",
  "report_to_uid": "<string>",
  "role_name": "owner",
  "slack_user_id": "<string>",
  "status": "employee",
  "team_uids": [
    "<string>"
  ],
  "teams": [
    "<string>"
  ],
  "timezone": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "work_phone": "<string>"
}

Introduction

Note: fields that are disabled or restricted to the current user will not be returned

Usage

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

uid
string
required

The UID of the User

Response

User show

uid
string

The UID of the User

archived_at
string<date-time> | null

datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")

birthday_date
string<date> | null

date formatted as ISO 8601 (e.g. "2020-12-15")

city
string | null
contract_type
enum<string> | null
Available options:
fulltime,
parttime,
temporary,
contract,
intern,
expat
country
string | null

ISO3166 alpha-2 country code (e.g: "PT")

created_at
string<date-time>

datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")

department

The department this user belongs to. Pass ?expand[]=field_name for full object.

department_uid
string | null
deprecated

DEPRECATED: Use department instead. A Department UID

emails
string[]

An array of all the known emails for this User

employee_number
string | null
first_name
string | null
full_name
string | null

The full name of the User

gender
enum<string> | null
Available options:
female,
non_binary,
prefer_not_to_disclose,
other,
male
hire_date
string<date> | null

date formatted as ISO 8601 (e.g. "2020-12-15")

job_leave_date
string<date> | null

date formatted as ISO 8601 (e.g. "2020-12-15")

job_start_date
string<date> | null

date formatted as ISO 8601 (e.g. "2020-12-15")

job_title
string | null
last_name
string | null
last_working_date
string<date> | null

date formatted as ISO 8601 (e.g. "2020-12-15")

The legal entity this user belongs to. Pass ?expand[]=field_name for full object.

DEPRECATED: Use legal_entity instead. A Legal Entity UID

microsoft_entra_ids
string[]

The Microsoft Entra IDs (Azure Directory) associated with that User

office_location

The office location of this user. Pass ?expand[]=field_name for full object.

office_location_uid
string | null
deprecated

DEPRECATED: Use office_location instead. An Office Location UID

preferred_language
string | null

A language in IETF format (en-US, pt-PT, fr-FR...)

probation_end_date
string<date> | null

date formatted as ISO 8601 (e.g. "2020-12-15")

report_to

The manager of this user. Pass ?expand[]=field_name for full object.

report_to_uid
string | null
deprecated

DEPRECATED: Use report_to instead. The UID of the manager of this user

role_name
enum<string>

The role of the User

Available options:
owner,
admin,
it,
hr,
ops,
finance,
custom,
user
slack_user_id
string | null

The Slack user ID of the User (e.g. U0G9QF9C6)

status
enum<string>
default:employee

The status of the User

Available options:
employee,
external,
alumni,
hired
team_uids
string[]
deprecated

DEPRECATED: Use teams instead. An array of Team UIDs

teams

Teams this user belongs to. Pass ?expand[]=field_name for full objects.

timezone
string | null
updated_at
string<date-time>

datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")

work_phone
string | null